from django.contrib import admin
from .models import Author, Books

# Register your models here.
class authorAdmin(admin.ModelAdmin):
    model = Author
    list_display = ('last_name',)
    search_fields = ('last_name', 'first_name')
    list_filter = ('nationality',)
    
class booksAdmin(admin.ModelAdmin):
    model = Books
    list_display = ('title', 'author')
    search_fields = ('title', 'author', 'publisher', 'ISBN')
    list_filter = ('year_published', 'publisher')
    
admin.site.register(Author, authorAdmin)
admin.site.register(Books, booksAdmin)